## node-superagent 0.20.0%2Bdfsg

=== Makefile ===

TESTS = test/node/*.js
REPORTER = dot

all: superagent.js

test:
	@NODE_ENV=test NODE_TLS_REJECT_UNAUTHORIZED=0 ./node_modules/.bin/mocha \
		--require should \
		--reporter $(REPORTER) \
		--timeout 5000 \
		--growl \
		$(TESTS)

test-cov: lib-cov
	SUPERAGENT_COV=1 $(MAKE) test REPORTER=html-cov > coverage.html

lib-cov:
	jscoverage lib lib-cov

superagent.js: components
	@component build \
	  --standalone superagent \
	  --out . --name superagent

components:
	component install

test-server:
	@node test/server

docs: test-docs

test-docs:
	make test REPORTER=doc \
		| cat docs/head.html - docs/tail.html \
		> docs/test.html

clean:
	rm -fr superagent.js components

.PHONY: test-cov test docs test-docs clean

## node-superagent 0.18.0+dfsg

=== debian/changelog ===
node-superagent (0.18.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #750213)

 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 07 Jun 2014 23:01:57 +0200

=== debian/control ===
Source: node-superagent
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>
Build-Depends:
 debhelper (>= 8)
 , dh-buildinfo
 , nodejs
Standards-Version: 3.9.5
Homepage: https://github.com/visionmedia/superagent
Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-superagent.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-superagent.git

Package: node-superagent
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-qs
 , node-cookiejar
 , node-methods
 , node-extend
 , node-form-data
 , node-mime
 , node-formidable
 , node-debug
Description: HTTP client request with chainable API - Node.js module
 Super Agent is a light-weight, progressive, ajax API crafted
 for flexibility, readability, and a low learning curve.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	rm -f docs/documentation.md
	dh_auto_clean

override_dh_auto_build:
	cp docs/index.md docs/documentation.md

# Tests require express 3.x, but in debian we have 4.x
# So, do not run tests untill this issues is open:
#  https://github.com/visionmedia/superagent/issues/390
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs -k History.md

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\?(debian|dfsg|ds|deb)\d*$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-superagent-$1.tar.gz/ \
 https://github.com/visionmedia/superagent/tags .*/archive/v?([\d\.]+).tar.gz

## node-superagent 0.20.0%2Bdfsg

=== debian/changelog ===
node-superagent (0.20.0+dfsg-1+deb9u2) stretch; urgency=medium

  * Fix incompatible instruction in CVE-2017-16129 patch

 -- Xavier Guimard <yadd@debian.org>  Tue, 23 Apr 2019 07:07:07 +0200

node-superagent (0.20.0+dfsg-1+deb9u1) stretch; urgency=medium

  * Team upload
  * Add patch to fix ZIP bomb attacks (Closes: CVE-2017-16129)

 -- Xavier Guimard <yadd@debian.org>  Thu, 18 Apr 2019 20:37:30 +0200

node-superagent (0.20.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.20.0+dfsg
  * Bump Standards-Version 3.9.6
  * debian/watch: fix dversionmangle
  * Install upstream examples
  * Upstream documentation no longer shipped, remove
    references to in debian/rules and debian/docs
  * Add autopkgtest suite

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 12 Oct 2014 14:40:27 +0200

## node-superagent 0.20.0+dfsg

=== debian/changelog ===
node-superagent (0.20.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.3.0
  * Change section to javascript
  * Change priority to optional
  * Patch to fix ZIP bomb attacks (Closes: CVE-2017-16129)
  * Fix tests for Node.js >= 10
  * Enable some upstream tests using pkg-js-tools
  * Fix VCS fields
  * Fix debian/copyright format URL
  * Add upstream/metadata

 -- Xavier Guimard <yadd@debian.org>  Thu, 18 Apr 2019 14:22:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,30 @@
 Source: node-superagent
-Section: web
-Priority: extra
+Section: javascript
+Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Leo Iannacone <l3on@ubuntu.com>
+Testsuite: autopkgtest-pkg-nodejs
 Build-Depends:
  debhelper (>= 8)
  , dh-buildinfo
+ , mocha
  , nodejs
-Standards-Version: 3.9.5
+ , node-cookiejar
+ , node-cookie-parser
+ , node-debug
+ , node-express
+ , node-extend
+ , node-formidable
+ , node-form-data
+ , node-methods
+ , node-mime
+ , node-qs
+ , node-should
+ , pkg-js-tools
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/js-team/node-superagent
+Vcs-Git: https://salsa.debian.org/js-team/node-superagent.git
 Homepage: https://github.com/visionmedia/superagent
-Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-superagent.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-superagent.git
 
 Package: node-superagent
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

override_dh_auto_build:

override_dh_installchangelogs:
	dh_installchangelogs -k History.md

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-superagent-$1.tar.gz/ \
 https://github.com/visionmedia/superagent/tags .*/archive/v?([\d\.]+).tar.gz

## node-superagent 5.2.1

=== debian/changelog ===
node-superagent (5.2.1-2) unstable; urgency=medium

  * Team upload
  * Improve close-test-servers patch (fixes debci with mocha 6 & 7)
  * Declare compliance with policy 4.5.0

 -- Xavier Guimard <yadd@debian.org>  Thu, 13 Feb 2020 20:17:22 +0100

node-superagent (5.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.2.1
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Wed, 15 Jan 2020 17:39:45 +0100

node-superagent (5.1.3-1) unstable; urgency=medium

  * Team upload
  * Disable test during build to avoid circular dependency to node-express
  * New upstream version 5.1.3

 -- Xavier Guimard <yadd@debian.org>  Sun, 22 Dec 2019 13:06:46 +0100

node-superagent (5.1.2-1) unstable; urgency=medium

  * Team upload
  * Back to unstable after successful tests
  * New upstream version 5.1.2
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Mon, 02 Dec 2019 22:26:22 +0100

node-superagent (5.1.0-1) experimental; urgency=medium

  * Team upload
  * Declare compliance with policy 4.4.1
  * New upstream version 5.1.0
  * Fix build to be compatible to babel 6
  * Update dependencies
  * Build with babel
  * Embed components: fast-safe-stringify
  * Update close-test-servers patch, remove others
  * Update install
  * Update test, this embeds some modules for test in
    debian/test/test_modules
  * Update debian/copyright
  * Add "Rules-Requires-Root: no"
  * Fix "files" field in debian/nodejs/files
  * Add lintian overrides for embedded test components
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Mon, 21 Oct 2019 22:31:12 +0200

node-superagent (0.20.0+dfsg-3) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Add debian/gbp.conf
  * Switch install to pkg-js-tools

 -- Xavier Guimard <yadd@debian.org>  Sat, 03 Aug 2019 15:44:12 +0200

## node-superagent 5.2.2

=== debian/changelog ===
node-superagent (5.2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.2.2
  * Refresh patch

 -- Xavier Guimard <yadd@debian.org>  Fri, 21 Feb 2020 15:25:27 +0100

=== debian/control ===
Source: node-superagent
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>
Build-Depends:
 debhelper-compat (= 12)
 , nodejs
 , node-babel-cli
 , node-component-emitter (>= 1.3.0) <!nocheck>
 , node-cookiejar (>= 2.1.2) <!nocheck>
 , node-debug <!nocheck>
 , node-form-data (>= 2.3.3) <!nocheck>
 , node-formidable (>= 1.2.1) <!nocheck>
 , node-methods (>= 1.1.2) <!nocheck>
 , node-mime (>= 2.4.4) <!nocheck>
 , node-qs (>= 6.7.0) <!nocheck>
 , node-semver <!nocheck>
 , pkg-js-tools (>= 0.8.8)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-superagent
Vcs-Git: https://salsa.debian.org/js-team/node-superagent.git
Homepage: https://github.com/visionmedia/superagent
Rules-Requires-Root: no

Package: node-superagent
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-component-emitter (>= 1.3.0)
 , node-cookiejar (>= 2.1.2)
 , node-debug
 , node-form-data (>= 2.3.3)
 , node-formidable (>= 1.2.1)
 , node-methods (>= 1.1.2)
 , node-mime (>= 2.4.4)
 , node-qs (>= 6.7.0)
 , node-semver
Description: HTTP client request with chainable API - Node.js module
 Super Agent is a light-weight, progressive, ajax API crafted
 for flexibility, readability, and a low learning curve.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,14 @@
 	dh $@ --with nodejs
 
 override_dh_auto_build:
+	babeljs --config-file ./.lib.babelrc src --out-dir lib
+
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+override_dh_auto_test:
+	# Disable test during build to avoid circular dependency to
+	# node-express
+	node -e 'require(".")'
+endif
 
 override_dh_installchangelogs:
-	dh_installchangelogs -k History.md
+	dh_installchangelogs -k HISTORY.md

=== debian/tests/control ===
Test-Command: /usr/share/pkg-js-autopkgtest/runner require
Depends: @, nodejs, pkg-js-autopkgtest
Restrictions: superficial
Features: test-name=pkg-js-autopkgtest-require

Test-Command: /usr/share/pkg-js-autopkgtest/runner
Depends: @, pkg-js-autopkgtest,
 mocha,
 node-concat-stream,
 node-content-type,
 node-cookie-parser,
 node-express (>= 4.17.1-2),
 node-extend,
 node-object-assign,
 node-on-headers,
 node-should,
 node-uid-safe,
 node-xtend
Restrictions: allow-stderr
Features: test-name=pkg-js-autopkgtest

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-superagent-$1.tar.gz/ \
 https://github.com/visionmedia/superagent/tags .*/archive/v?([\d\.]+).tar.gz

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=fast-safe-stringify,pgpmode=none" \
 https://registry.npmjs.org/fast-safe-stringify https://registry.npmjs.org/fast-safe-stringify/-/fast-safe-stringify-([\d\.]+)@ARCHIVE_EXT@ ignore

## node-superagent 6.1.0

=== debian/changelog ===
node-superagent (6.1.0-4) unstable; urgency=medium

  [ Yadd ]
  * Fix GitHub tags regex
  * Uploaders: replace Leo Iannacone by myself, thanks for your work!

  [ Pirate Praveen ]
  * Drop browsers option in .lib.babelrc file (Closes: #991656)

 -- Yadd <yadd@debian.org>  Thu, 29 Jul 2021 22:01:16 +0200

node-superagent (6.1.0-3) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest for mocha ≥ 8 using
    debian/tests/autopkgtest-pkg-nodejs.conf
  * Install fast-safe-stringify in main nodejs dir

 -- Xavier Guimard <yadd@debian.org>  Tue, 22 Dec 2020 09:28:05 +0100

node-superagent (6.1.0-2) unstable; urgency=medium

  * Team upload
  * Update test dependencies (mocha ≥ 8 won't depend on them)
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)

 -- Xavier Guimard <yadd@debian.org>  Mon, 21 Dec 2020 06:21:42 +0100

node-superagent (6.1.0-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Modernize debian/watch
  * Use dh-sequence-nodejs
  * New upstream version 6.1.0
  * Update test using new pkg-js-tools features

 -- Xavier Guimard <yadd@debian.org>  Mon, 16 Nov 2020 17:55:36 +0100

node-superagent (5.2.2-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Pirate Praveen ]
  * Build with Babel 7

 -- Pirate Praveen <praveen@debian.org>  Thu, 07 May 2020 13:09:36 +0530

=== debian/control ===
Source: node-superagent
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Build-Depends: debhelper-compat (= 12)
 , dh-sequence-nodejs
 , node-babel7
 , node-component-emitter (>= 1.3.0) <!nocheck>
 , node-cookiejar (>= 2.1.2) <!nocheck>
 , node-debug <!nocheck>
 , node-form-data (>= 2.3.3) <!nocheck>
 , node-formidable (>= 1.2.1) <!nocheck>
 , node-methods (>= 1.1.2) <!nocheck>
 , node-mime (>= 2.4.4) <!nocheck>
 , node-qs (>= 6.7.0) <!nocheck>
 , node-semver <!nocheck>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/js-team/node-superagent
Vcs-Git: https://salsa.debian.org/js-team/node-superagent.git
Homepage: https://github.com/visionmedia/superagent
Rules-Requires-Root: no

Package: node-superagent
Architecture: all
Depends: ${misc:Depends}
 , node-component-emitter (>= 1.3.0)
 , node-cookiejar (>= 2.1.2)
 , node-debug
 , node-form-data (>= 2.3.3)
 , node-formidable (>= 1.2.1)
 , node-methods (>= 1.1.2)
 , node-mime (>= 2.4.4)
 , node-qs (>= 6.7.0)
 , node-semver
Provides: ${nodejs:Provides}
Description: HTTP client request with chainable API - Node.js module
 Super Agent is a light-weight, progressive, ajax API crafted
 for flexibility, readability, and a low learning curve.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_auto_build:
 	babeljs --config-file ./.lib.babelrc src --out-dir lib

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-superagent-$1.tar.gz/ \
 https://github.com/visionmedia/superagent/tags .*/archive/.*/v?([\d\.]+).tar.gz

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=fast-safe-stringify,pgpmode=none" \
 https://registry.npmjs.org/fast-safe-stringify https://registry.npmjs.org/fast-safe-stringify/-/fast-safe-stringify-([\d\.]+)@ARCHIVE_EXT@ ignore

## node-superagent 7.1.1

=== Makefile ===

NODETESTS ?= test/*.js test/node/*.js
BROWSERTESTS ?= test/*.js test/client/*.js
REPORTER = spec

test:
	@if [ "x$(BROWSER)" = "x" ]; then make test-node; else make test-browser; fi

test-node:
	@NODE_ENV=test ./node_modules/.bin/mocha \
		--require should \
		--trace-warnings \
		--throw-deprecation \
		--reporter $(REPORTER) \
		--timeout 5000 \
		--exit \
		$(NODETESTS)

test-node-http2:
	@NODE_ENV=test HTTP2_TEST=1 node ./node_modules/.bin/mocha \
		--require should \
		--trace-warnings \
		--throw-deprecation \
		--reporter $(REPORTER) \
		--timeout 5000 \
		--exit \
		$(NODETESTS)

test-cov: lib-cov
	SUPERAGENT_COV=1 $(MAKE) test REPORTER=html-cov > coverage.html

test-browser:
	SAUCE_APPIUM_VERSION=1.7 ./node_modules/.bin/zuul -- $(BROWSERTESTS)

test-browser-local:
	./node_modules/.bin/zuul --no-coverage --local 4000 -- $(BROWSERTESTS)

lib-cov:
	jscoverage lib lib-cov

test-server:
	@node test/server

docs: index.html test-docs docs/index.md

index.html: docs/index.md docs/head.html docs/tail.html
	marked < $< \
		| cat docs/head.html - docs/tail.html \
		> $@

docclean:
	rm -f index.html docs/test.html

test-docs: docs/head.html docs/tail.html
	make test REPORTER=doc \
		| cat docs/head.html - docs/tail.html \
		> docs/test.html

clean:
	rm -fr components

.PHONY: test-cov test docs test-docs clean test-browser-local

=== debian/changelog ===
node-superagent (7.1.1-1) unstable; urgency=medium

  * New upstream version 7.1.1
  * Update test modules
  * Add fix for formidable 3

 -- Yadd <yadd@debian.org>  Sun, 20 Feb 2022 08:45:14 +0100

node-superagent (6.1.0+repack-1) unstable; urgency=medium

  * Replace component by dependency to node-fast-safe-stringify and repack
    (Closes: #1000380)

 -- Yadd <yadd@debian.org>  Mon, 22 Nov 2021 14:14:08 +0100

node-superagent (6.1.0+~2.1.1-1) unstable; urgency=medium

  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * Use uscan group
  * New upstream version 6.1.0+~2.1.1:
    + updates fast-safe-stringify to 2.1.1
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Tue, 09 Nov 2021 12:17:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: node-superagent
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Uploaders: Yadd <yadd@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Yadd <yadd@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
  , node-babel7
  , node-component-emitter (>= 1.3.0) <!nocheck>
  , node-cookiejar (>= 2.1.2) <!nocheck>
  , node-debug <!nocheck>
+ , node-fast-safe-stringify <!nocheck>
  , node-form-data (>= 2.3.3) <!nocheck>
- , node-formidable (>= 1.2.1) <!nocheck>
+ , node-formidable (>= 3) <!nocheck>
  , node-methods (>= 1.1.2) <!nocheck>
  , node-mime (>= 2.4.4) <!nocheck>
  , node-qs (>= 6.7.0) <!nocheck>
  , node-semver <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-superagent
 Vcs-Git: https://salsa.debian.org/js-team/node-superagent.git
 Homepage: https://github.com/visionmedia/superagent
@@ -28,8 +29,9 @@
  , node-component-emitter (>= 1.3.0)
  , node-cookiejar (>= 2.1.2)
  , node-debug
+ , node-fast-safe-stringify
  , node-form-data (>= 2.3.3)
- , node-formidable (>= 1.2.1)
+ , node-formidable (>= 3)
  , node-methods (>= 1.1.2)
  , node-mime (>= 2.4.4)
  , node-qs (>= 6.7.0)

## node-superagent 8.0.0

=== debian/changelog ===
node-superagent (8.0.0-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Mon, 27 Jun 2022 09:23:16 +0200

node-superagent (8.0.0-1) experimental; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * New upstream version 8.0.0
  * Drop remove-browsers-option-in-babelrc.patch, now included in upstream
  * Unfuzz patches
  * Add dependency to node-readable-stream
  * Replace 2 test modules by test dependencies to node-busboy
  * Patch test dependencies for recent node-busboy
  * Update lintian overrides
  * Update copyright

 -- Yadd <yadd@debian.org>  Sun, 26 Jun 2022 12:27:01 +0200

node-superagent (7.1.3-2) unstable; urgency=medium

  * Fix formidable-3 patch

 -- Yadd <yadd@debian.org>  Sun, 01 May 2022 18:00:18 +0200

node-superagent (7.1.3-1) unstable; urgency=medium

  [ root ]
  * Set upstream metadata fields: Security-Contact.

  [ Yadd ]
  * New upstream version 7.1.3
  * Refresh patches

 -- Yadd <yadd@debian.org>  Sun, 01 May 2022 17:21:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
  , node-babel7
+ , node-busboy <!nocheck>
  , node-component-emitter (>= 1.3.0) <!nocheck>
  , node-cookiejar (>= 2.1.2) <!nocheck>
  , node-debug <!nocheck>
@@ -16,8 +17,10 @@
  , node-methods (>= 1.1.2) <!nocheck>
  , node-mime (>= 2.4.4) <!nocheck>
  , node-qs (>= 6.7.0) <!nocheck>
+ , node-readable-stream <!nocheck>
  , node-semver <!nocheck>
-Standards-Version: 4.6.0
+ , node-streamsearch <!nocheck>
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-superagent
 Vcs-Git: https://salsa.debian.org/js-team/node-superagent.git
 Homepage: https://github.com/visionmedia/superagent
@@ -35,6 +38,7 @@
  , node-methods (>= 1.1.2)
  , node-mime (>= 2.4.4)
  , node-qs (>= 6.7.0)
+ , node-readable-stream
  , node-semver
 Provides: ${nodejs:Provides}
 Description: HTTP client request with chainable API - Node.js module

## node-superagent 8.0.4

=== debian/changelog ===
node-superagent (8.0.4-1) unstable; urgency=medium

  * Team upload
  * Update lintian override info format in d/source/lintian-overrides
    on line 2
  * New upstream version 8.0.4

 -- Yadd <yadd@debian.org>  Tue, 29 Nov 2022 16:50:57 +0100

node-superagent (8.0.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.0.3

 -- Yadd <yadd@debian.org>  Sat, 29 Oct 2022 08:51:13 +0200

node-superagent (8.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.0.1
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Sat, 01 Oct 2022 08:57:47 +0200

## node-superagent 8.0.5

=== debian/changelog ===
node-superagent (8.0.5-1) unstable; urgency=medium

  * Team upload
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * New upstream version 8.0.5
  * Update homepage

 -- Yadd <yadd@debian.org>  Sat, 03 Dec 2022 18:01:42 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-superagent
 Vcs-Git: https://salsa.debian.org/js-team/node-superagent.git
-Homepage: https://github.com/visionmedia/superagent
+Homepage: https://github.com/ladjs/superagent
 Rules-Requires-Root: no
 
 Package: node-superagent

## node-superagent 9.0.1

=== debian/changelog ===
node-superagent (9.0.1-3) unstable; urgency=medium

  * Team upload
  * Drop unstable tests (Closes: #1110021)

 -- Yadd <yadd@debian.org>  Mon, 28 Jul 2025 11:10:35 +0200

node-superagent (9.0.1-2) unstable; urgency=medium

  * Team upload
  * patch: fix query method overwrite. Closes: #1108818.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 06 Jul 2025 20:38:43 +0200

node-superagent (9.0.1-1) unstable; urgency=medium

  * Team upload
  * Remove patch update-test-modules.patch that is missing from
    debian/patches/series
  * Update standards version to 4.6.2, no changes needed.
  * Declare compliance with policy 4.7.0
  * New upstream version 9.0.1
  * Drop formidable-3 patch, now fixed upstream

 -- Yadd <yadd@debian.org>  Sun, 28 Apr 2024 12:14:01 +0400

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  , node-readable-stream <!nocheck>
  , node-semver <!nocheck>
  , node-streamsearch <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-superagent
 Vcs-Git: https://salsa.debian.org/js-team/node-superagent.git
 Homepage: https://github.com/ladjs/superagent

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-superagent-$1/ \
 https://github.com/visionmedia/superagent/tags .*/archive/.*/v?([\d\.]+).tar.gz

## node-superagent 10.2.3

=== Makefile ===
--- 
+++ 
@@ -1,27 +1,42 @@
-
+OLDNODETESTS ?= lib/node/test/*.js lib/node/test/node/*.js
 NODETESTS ?= test/*.js test/node/*.js
 BROWSERTESTS ?= test/*.js test/client/*.js
 REPORTER = spec
 
+ifeq ("$(OLD_NODE_TEST)", "1")
+	NODETESTS := $(OLDNODETESTS)
+endif
+
 test:
-	@if [ "x$(BROWSER)" = "x" ]; then make test-node; else make test-browser; fi
+	@if [ "$(BROWSER)" = "1" ]; then \
+		echo test on browser; \
+		make test-browser; \
+	fi \
 
-test-node:
-	@NODE_ENV=test ./node_modules/.bin/mocha \
+	@if [ "$(NODE_TEST)" = "1" ] || [ "x$(BROWSER)" = "x" ]; then \
+    echo test on node with http1; \
+    export HTTP2_TEST="" && make test-node; \
+    if [ "$(HTTP2_TEST_DISABLED)" != "1" ]; then \
+      echo test on node with http2; \
+      export HTTP2_TEST="1" && make test-node; \
+    fi \
+	fi
+
+copy:
+	@if [ "$(OLD_NODE_TEST)" = "1" ]; then \
+		echo test on old node; \
+		cp test/node/fixtures lib/node/test/node -rf; \
+	else \
+		echo test on plain node; \
+	fi
+
+test-node:copy
+	@NODE_ENV=test HTTP2_TEST=$(HTTP2_TEST) ./node_modules/.bin/nyc ./node_modules/.bin/mocha \
 		--require should \
 		--trace-warnings \
 		--throw-deprecation \
 		--reporter $(REPORTER) \
-		--timeout 5000 \
-		--exit \
-		$(NODETESTS)
-
-test-node-http2:
-	@NODE_ENV=test HTTP2_TEST=1 node ./node_modules/.bin/mocha \
-		--require should \
-		--trace-warnings \
-		--throw-deprecation \
-		--reporter $(REPORTER) \
+		--slow 2000 \
 		--timeout 5000 \
 		--exit \
 		$(NODETESTS)
@@ -59,4 +74,4 @@
 clean:
 	rm -fr components
 
-.PHONY: test-cov test docs test-docs clean test-browser-local
+.PHONY: copy test-cov test docs test-docs clean test-browser-local

=== debian/changelog ===
node-superagent (10.2.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 10.2.3
  * Drop fix-query-method.patch, now included in upstream
  * Update patches

 -- Yadd <yadd@debian.org>  Sat, 25 Oct 2025 09:06:22 +0200

node-superagent (9.0.1-5) unstable; urgency=medium

  * Revert fix for node-mime 4: was a problem into node-mime
  * Drop one test temporary during node-express transition
  * debian/watch version 5

 -- Yadd <yadd@debian.org>  Tue, 21 Oct 2025 21:51:30 +0200

node-superagent (9.0.1-4) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.2
  * Drop "Rules-Requires-Root: no"
  * Add fix for node-mime 4

 -- Yadd <yadd@debian.org>  Mon, 20 Oct 2025 19:04:15 +0200

=== debian/control ===
--- 
+++ 
@@ -20,11 +20,10 @@
  , node-readable-stream <!nocheck>
  , node-semver <!nocheck>
  , node-streamsearch <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-superagent
 Vcs-Git: https://salsa.debian.org/js-team/node-superagent.git
 Homepage: https://github.com/ladjs/superagent
-Rules-Requires-Root: no
 
 Package: node-superagent
 Architecture: all

=== debian/watch ===
Version: 5

Template: Github
Owner: visionmedia
Project: superagent
